/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1Superset
 * 0 references
 *
 * @Service annotation claims that this implementation implements the Service1Superset service interface
 * but it does not actually implement all of the methods of that interface
 *
 */
@Service(Service1Superset.class)
public class missingMethodImpl implements Service1 {

	@Property(required=true)
	public String serviceName = "service1";

	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
