/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.soap.SOAPBinding;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Version of Service1 interface with @ServiceMode annotation applied
 *
 */
@SOAPBinding()
@Remotable
public interface Service1WithSoapBinding {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );

}
