/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 * 1 property which is multi-valued
 *
 */
@Service(Service1.class)
public class service1MultiPropImpl implements Service1 {
	
	@Property(required=true)
	public String [] serviceName;
	
	public String operation1(String input) {
		return serviceName[0] + " " + serviceName[1] + " " + serviceName[2] + " operation1 invoked";
	}

}
