/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service5Intents
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(Service5Intents.class)
public class service5Impl implements Service5Intents {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
