/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.ServiceOneWayThrows;


/**
 * Java component implementation
 * 1 service with interface ServiceOneWayThrows
 * 0 references
 *
 */
@Service(ServiceOneWayThrows.class)
public class serviceOneWayThrowsImpl implements ServiceOneWayThrows {
	
	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	@OneWay
	public void operation2( String input ) throws TestException {
		return;
	}

} // end class serviceOneWayThrowsImpl
