/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;
import org.oasisopen.sca.annotation.Scope;

/**
 * Service1 service interface
 * - with added @Scope annotation that is misplaced
 */
@Scope("STATELESS")
@Remotable
public interface Service1Scope {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );

}
