/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebParam;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Version of Service1 interface with @WebParam annotation applied
 *
 */
@Remotable
public interface Service1WithWebParam {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( @WebParam(name = "arg0", targetNamespace = "", header=true) String input );

}
