/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.PARAMETER;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import org.oasisopen.sca.annotation.Intent;
import org.oasisopen.sca.annotation.Qualifier;

/**
 * A test annotation that is an interation intent with qualifiers
 * 
 */
@Inherited
@Target({METHOD,FIELD,PARAMETER,TYPE})
@Retention(RUNTIME)
@Intent(TestIntent6.TEST_INTENT6)
public @interface TestIntent6 {
    static String TEST_INTENT6 = Constants.TEST_PREFIX + "testIntent6";
    static String TEST_INTENT6_QUAL1 = TEST_INTENT6 + ".qual1";
    static String TEST_INTENT6_QUAL2 = TEST_INTENT6 + ".qual2";
    @Qualifier
    String[] value() default "";
}
