/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Implementation has constructor with parameter annotated with @Property
 *
 */
@Service(Service1.class)
public class service1ConstrImpl implements Service1 {
	
	@Constructor
	public service1ConstrImpl(@Property(name="serviceName",required=true) String s) {
		serviceName = s;
	}

	private String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
