/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;



import javax.xml.ws.WebServiceClient;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service1 interface 
 *
 */
@WebServiceClient()
@Remotable
public interface Service1WithWebServiceClient {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );

}
