/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;


public interface Constants {
    /**
     * Namespace for intents.
     */
    String TEST_NS = "http://docs.oasis-open.org/ns/opencsa/scatests/200903";

    /**
     * Prefix form of the namespace that can be prepended to intent declarations.
     */
    String TEST_PREFIX = '{' + TEST_NS + '}';
    
    /**
     * PolicySet Qname constants.
     */
    String POLICYSET1 = TEST_PREFIX + "PolicySet1";
    String POLICYSET2 = TEST_PREFIX + "PolicySet2";
}
