/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Service;
import org.oasisopen.sca.test.ServiceWithMode;
import javax.xml.ws.Holder;
import org.oasisopen.sca.annotation.Property;

/**
 * Java component implementation with
 * 1 service with interface ServiceWithMode
 * 0 references 
 */
@Service(ServiceWithMode.class)
public class ServiceWithModeImpl implements ServiceWithMode {

	@Property
	public String serviceName = "service1";
	
	public String operation1(String input, Holder<String> outp) {
		if (outp.value != null && outp.value.equals("xyz"))
			outp.value = "bad";
		else
			outp.value = "ok";
		return serviceName + " operation1 invoked";
	}

} // end class ServiceWithModeImpl
