/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Callback;

/**
 * A local service interface containing 1 operation
 * with a callback interface which is remotable
 * @author MikeEdwards
 *
 */
@Callback(ServiceLocalRemoteCallback.class)
public interface ServiceLocalRemote {
	
	/**
	 * Method 1 for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
} // end interface
