/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Remotable service interface used for a Callback from Service7
 * - 1 operation "service7Callback1" string input, string output
 *
 */
@Remotable
public interface Service7Callback {
	
	/**
	 * Method 1 for invoking callback service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String service7Callback1( String input );
	
} // end interface
