/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebService;
import javax.jws.WebMethod;

import org.oasisopen.sca.annotation.Remotable;

/**
 * ServiceWithOpName service interface which has a @WebMethod annotation with the operationName attribute set
 */
@WebService
@Remotable
public interface ServiceWithOpName {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@WebMethod(operationName="opA")
	public String operation1( String input );
	
}
