/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.ServiceWithName;

/**
 * Java implementation 
 * 1 service with interface ServiceWithName
 * 0 references
 *
 * ServiceWithName is a variant of Service1 but marked with @WebService with the name
 * attribute set
 */
@Service(value={ServiceWithName.class}, names={"ServiceWithName2"})
public class serviceWithNameImpl2 implements ServiceWithName {
	
	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
